---
title: "Pages the customer's completed entries."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › completion

`GET /v1/stores/{store}/products/{product}/completions`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`listProductCompletions.path.store`; string, required) — A hostname of the store.
- `product` (`listProductCompletions.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Query parameters

- `filter` (`listProductCompletions.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listProductCompletions.query.sort`; string, optional)
  - one of `"completed"`
- `direction` (`listProductCompletions.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listProductCompletions.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listProductCompletions.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listProductCompletions.query.count`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/completions' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/completions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/completions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the customer's completed entries.

#### Example

```json
{
  "items": [
    {
      "entry_id": "string",
      "product_id": "string",
      "completed_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listProductCompletions.response.200.items`; array<object>, required)
  - `entry_id` (`listProductCompletions.response.200.items.entry_id`; string, required)
  - `product_id` (`listProductCompletions.response.200.items.product_id`; string, required)
  - `completed_at` (`listProductCompletions.response.200.items.completed_at`; string, required)
- `cursor` (`listProductCompletions.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listProductCompletions.response.200.total`; number, optional)
- `facets` (`listProductCompletions.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listProductCompletions.response.default.type`; string, required)
  - format `uri`
- `title` (`listProductCompletions.response.default.title`; string, required)
- `status` (`listProductCompletions.response.default.status`; integer, required)
- `detail` (`listProductCompletions.response.default.detail`; string, required)
- `code` (`listProductCompletions.response.default.code`; string, optional)
- `context` (`listProductCompletions.response.default.context`; object, optional)
- `reached_core` (`listProductCompletions.response.default.reached_core`; boolean, optional)
- `core_answer` (`listProductCompletions.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/list-product-completions/index.md
